---
Name: haproxy-install
Description: Blueprint to install HAProxy package
Documentation: |
  # HAProxy Install Blueprint

  This blueprint handles the initial installation of HAProxy on a system. It ensures
  the package is properly installed and the service is enabled.

  ## Tasks
  - haproxy-install: Handles package installation and initial service setup

  ## Usage

  Typically used during initial system setup as part of the universal-application
  workflow:

  ```yaml
  universal/runbook-during-flexiflow:
    - haproxy-install
  ```

  Can also be used independently to install HAProxy on an existing system.

Meta:
  icon: download
  color: blue
  title: HAProxy Installation Blueprint

Tasks:
  - haproxy-install
